#!/bin/sh -efu

. install2-init-functions

[ "$METHOD" = cdrom ] || exit 0

loop_change_fd()
{
	losetup-move /dev/loop0 "$1"
	umount "$image_dir"
	rm -f "$1"
}

make_sparse()
{
	size="$(stat -c '%s' "$image_dir/altinst")"
	dd if=/dev/zero of=/mnt/altinst bs=1 count=1 seek="$((size - 1))"
}

fs="$(find-free-partition)"

if [ -n "$fs" ]; then
	cp "$image_dir/altinst" "$fs/altinst"
	make_sparse
	loop_change_fd "$fs/altinst"
fi
