#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

echo 'Configuring Xorg server...'

xdriver=auto
for d in $(cat /proc/cmdline); do
  [ -z "${d##xdriver=*}" ] || continue
  echo "Using xdriver=$xdriver."
  xdriver="${d#xdriver=}"
done

XORG_CONF="/etc/X11/xorg.conf"
x11_autosetup -r 800x600 -d $xdriver "$XORG_CONF"
